# Uses of Class
org.gitana.platform.client.transfer.TransferExportJob

Packages that use TransferExportJob
Package
Description
org.gitana.platform.client.datastore
org.gitana.platform.client.platform
org.gitana.platform.client.support

## Uses of TransferExportJob in org.gitana.platform.client.datastore

Methods in org.gitana.platform.client.datastore that return TransferExportJob
Modifier and Type
Method
Description
`TransferExportJob`
AbstractDataStoreImpl.`exportArchive(Vault vault, String groupId, String artifactId, String versionId, org.gitana.platform.services.transfer.TransferExportConfiguration configuration, org.gitana.platform.services.transfer.TransferSchedule schedule)`

## Uses of TransferExportJob in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return TransferExportJob
Modifier and Type
Method
Description
`TransferExportJob`
AbstractPlatformDocumentImpl.`exportArchive(Vault vault, String groupId, String artifactId, String versionId, org.gitana.platform.services.transfer.TransferExportConfiguration configuration, org.gitana.platform.services.transfer.TransferSchedule schedule)`

## Uses of TransferExportJob in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return TransferExportJob
Modifier and Type
Method
Description
`TransferExportJob`
Transferable.`exportArchive(Vault vault, String groupId, String artifactId, String versionId, org.gitana.platform.services.transfer.TransferExportConfiguration configuration, org.gitana.platform.services.transfer.TransferSchedule schedule)`
Exports either synchronously or asynchronously, returning the job.